import DownloaderUploader from "@newSdk/factory/DownloaderUploader";
import { BucketInfoType } from "@newSdk/model/BucketInfo";
export default abstract class BaseUploader extends DownloaderUploader {
    abstract upload(file: Blob, saveName: string, onProgress?: Function): Promise<string | undefined>;
    getBucketInfo(): Promise<BucketInfoType>;
}
